#include "render.ph"

#define GET_PROC(ctx, func_name)\
	{\
		ctx->procs.func_name = (PFN_##func_name) vkGetInstanceProcAddr(ctx->instance, #func_name);\
		CK_PTR(ctx->procs.func_name);\
	}

bool render_init_procs(RenderCtx* ctx)
{
	CK_PTR(ctx);

	if (ctx->enable_validation_layers)
	{
		GET_PROC(ctx, vkCreateDebugUtilsMessengerEXT);
		GET_PROC(ctx, vkDestroyDebugUtilsMessengerEXT);
	}

	return true;
error:
	return false;
}
