#pragma once

#include <stdbool.h>

#include <vulkan/vulkan.h>

#include <nvbufsurface.h>

#ifndef FABRYK_RENDER_PH
#define RenderCtx void
#endif

RenderCtx* render_init(bool enable_validation_layers);
void render_fini(RenderCtx* ctx);

bool render_import_dma_fd(RenderCtx* ctx, int fd, VkDeviceMemory* vkmem, int index);
void render_fini_device_memory(RenderCtx* ctx, VkDeviceMemory vkmem);
